WP6Parser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
WP6Parser Class Reference

`#include <WP6Parser.h>`

Inheritance diagram for WP6Parser:

## Public Member Functions
| WP6Parser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
| ~WP6Parser () override
void | parse (librevenge::RVNGTextInterface *documentInterface) override
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface) override
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
virtual void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface)=0

## Static Public Member Functions
static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6Listener *listener)

## Private Member Functions
WP6PrefixData * | getPrefixData (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6Listener *listener)
void | parsePacket (WP6PrefixData *prefixData, int type, WP6Listener *listener)
void | parsePackets (WP6PrefixData *prefixData, int type, WP6Listener *listener)

## Additional Inherited Members
Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

## ◆ WP6Parser()

WP6Parser::WP6Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXHeader * | header,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP6Parser()

WP6Parser::~WP6Parser | ( |  | ) |
| override

## Member Function Documentation

## ◆ getPrefixData()

WP6PrefixData * WP6Parser::getPrefixData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| private

Referenced by parse().

## ◆ parse() [1/2]

void WP6Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP6Listener * | listener
| ) |  |
| private

## ◆ parse() [2/2]

void WP6Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| overridevirtual

Implements WPXParser.

Referenced by parse().

## ◆ parseDocument()

void WP6Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP6Listener * | listener
| ) |  |
| static

Referenced by parse(), WP6SubDocument::parse(), and parseSubDocument().

## ◆ parsePacket()

void WP6Parser::parsePacket | ( | WP6PrefixData * | prefixData,
|  | int | type,
|  | WP6Listener * | listener
| ) |  |
| private

Referenced by parse().

## ◆ parsePackets()

void WP6Parser::parsePackets | ( | WP6PrefixData * | prefixData,
|  | int | type,
|  | WP6Listener * | listener
| ) |  |
| private

Referenced by parse().

## ◆ parseSubDocument()

void WP6Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| overridevirtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP6Parser.h
- WP6Parser.cpp